Run pre-checks on worker
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checks": [
{
"description": "<string>",
"min_version": "<string>",
"blocking": true
}
],
"worker_id": "<string>",
"stack_id": "<string>",
"timeout_seconds": 30
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks"
payload = {
"checks": [
{
"description": "<string>",
"min_version": "<string>",
"blocking": True
}
],
"worker_id": "<string>",
"stack_id": "<string>",
"timeout_seconds": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checks: [{description: '<string>', min_version: '<string>', blocking: true}],
worker_id: '<string>',
stack_id: '<string>',
timeout_seconds: 30
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'checks' => [
[
'description' => '<string>',
'min_version' => '<string>',
'blocking' => true
]
],
'worker_id' => '<string>',
'stack_id' => '<string>',
'timeout_seconds' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks"
payload := strings.NewReader("{\n \"checks\": [\n {\n \"description\": \"<string>\",\n \"min_version\": \"<string>\",\n \"blocking\": true\n }\n ],\n \"worker_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"timeout_seconds\": 30\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"checks\": [\n {\n \"description\": \"<string>\",\n \"min_version\": \"<string>\",\n \"blocking\": true\n }\n ],\n \"worker_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"timeout_seconds\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"checks\": [\n {\n \"description\": \"<string>\",\n \"min_version\": \"<string>\",\n \"blocking\": true\n }\n ],\n \"worker_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"timeout_seconds\": 30\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"worker_id": "<string>",
"results": [
{
"id": "<string>",
"worker_id": "<string>",
"stack_id": "<string>",
"check_type": "<string>",
"description": "<string>",
"blocking": true,
"status": "pending",
"request_id": "<string>"
}
],
"message": "<string>"
}Pre-Checks
Run pre-checks on worker
POST
/
api
/
v1
/
workers
/
{id}
/
prechecks
Run pre-checks on worker
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checks": [
{
"description": "<string>",
"min_version": "<string>",
"blocking": true
}
],
"worker_id": "<string>",
"stack_id": "<string>",
"timeout_seconds": 30
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks"
payload = {
"checks": [
{
"description": "<string>",
"min_version": "<string>",
"blocking": True
}
],
"worker_id": "<string>",
"stack_id": "<string>",
"timeout_seconds": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checks: [{description: '<string>', min_version: '<string>', blocking: true}],
worker_id: '<string>',
stack_id: '<string>',
timeout_seconds: 30
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'checks' => [
[
'description' => '<string>',
'min_version' => '<string>',
'blocking' => true
]
],
'worker_id' => '<string>',
'stack_id' => '<string>',
'timeout_seconds' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks"
payload := strings.NewReader("{\n \"checks\": [\n {\n \"description\": \"<string>\",\n \"min_version\": \"<string>\",\n \"blocking\": true\n }\n ],\n \"worker_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"timeout_seconds\": 30\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"checks\": [\n {\n \"description\": \"<string>\",\n \"min_version\": \"<string>\",\n \"blocking\": true\n }\n ],\n \"worker_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"timeout_seconds\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/prechecks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"checks\": [\n {\n \"description\": \"<string>\",\n \"min_version\": \"<string>\",\n \"blocking\": true\n }\n ],\n \"worker_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"timeout_seconds\": 30\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"worker_id": "<string>",
"results": [
{
"id": "<string>",
"worker_id": "<string>",
"stack_id": "<string>",
"check_type": "<string>",
"description": "<string>",
"blocking": true,
"status": "pending",
"request_id": "<string>"
}
],
"message": "<string>"
}Authorizations
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
Path Parameters
Resource ID
Body
application/json
